Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBAppTable

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase
            |
            +--com.jxml.qare.qhome.db.DBAppTable

All Implemented Interfaces:
  DeleteListener, EventListener

public final class DBAppTable
extends DBBase
implements DeleteListener

Table of virtual application tables.

Inner Class Summary
`class` | `DBAppTable.Row`

Fields inherited from class com.jxml.qare.qhome.db.DBBase
`createListeners, dbBases, deleteListeners, fileDateFormat, restored`

Method Summary
`void` | `backup(DataOutputStream dos)`
`DBAppTable.Row` | `create(AppData container, String tableName, AppData entry)`
`DBAppTable.Row` | `create(AppData container, String tableName, String entryKey, AppData entry)`
`DBRow` | `createObj(ResultSet rs)`
`void` | `createTable()`
`static AppData` | `dbGet(P2PPlugin qapp, int id)` Fetch from the database, given the appData ID.
`void` | `delete(AppData container, String tableName, AppData entry)`
`void` | `delete(AppData container, String tableName, String entryKey, AppData entry)`
`void` | `delete(P2PPlugin qapp, List list)`
`void` | `deleteEvent(DeleteEvent deleteEvent)`
`void` | `emptyTable(AppData container, String tableName)`
`void` | `emptyWithKey(AppData container, String entryKey)`
`DBAppTable.Row` | `get(AppData container, String tableName, String entryKey, AppData entry)`
`List` | `getAnyWithKey(AppData container, String entryKey)`
`List` | `getKeys(AppData container, String tableName)`
`List` | `getTableByKey(AppData container, String tableName)`
`List` | `getTables(AppData container)`
`List` | `getWithContainer(AppData container)`
`List` | `getWithEntry(AppData entry)`
`List` | `getWithKey(AppData container, String tableName, String entryKey)`
`List` | `getWithTableEntry(AppData container, String tableName, AppData entry)`
`void` | `restore(String fileNamePrefix, DataInputStream dis)`
`String` | `tableName()`

Methods inherited from class com.jxml.qare.qhome.db.DBBase
`addCreateListener, addDeleteListener, addKey, backup, backupString, clearRef, create, createCurrentDate, createTable, deleteWeak, executeUpdate, getRow, getRows, getRows, getWeak, removeCreateListener, removeDeleteListener, restore, restoreString, sendCreateEvent, sendDeleteEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dbGet

    public static final AppData dbGet(P2PPlugin qapp,
                                      int id)
                               throws Exception

  Fetch from the database, given the appData ID.

### tableName

    public String tableName()

  Overrides:
    `tableName` in class `DBBase`

### createTable

    public void createTable()
                     throws Exception

  Overrides:
    `createTable` in class `DBBase`

### deleteEvent

    public void deleteEvent(DeleteEvent deleteEvent)
                     throws Exception

  Specified by:
    `deleteEvent` in interface `DeleteListener`

### delete

    public void delete(P2PPlugin qapp,
                       List list)
                throws Exception

### get

    public DBAppTable.Row get(AppData container,
                              String tableName,
                              String entryKey,
                              AppData entry)
                       throws Exception

### getTables

    public List getTables(AppData container)
                   throws Exception

### getWithContainer

    public List getWithContainer(AppData container)
                          throws Exception

### getWithEntry

    public List getWithEntry(AppData entry)
                      throws Exception

### getWithKey

    public List getWithKey(AppData container,
                           String tableName,
                           String entryKey)
                    throws Exception

### getAnyWithKey

    public List getAnyWithKey(AppData container,
                              String entryKey)
                       throws Exception

### getKeys

    public List getKeys(AppData container,
                        String tableName)
                 throws Exception

### emptyTable

    public void emptyTable(AppData container,
                           String tableName)
                    throws Exception

### emptyWithKey

    public void emptyWithKey(AppData container,
                             String entryKey)
                      throws Exception

### getTableByKey

    public List getTableByKey(AppData container,
                              String tableName)
                       throws Exception

### getWithTableEntry

    public List getWithTableEntry(AppData container,
                                  String tableName,
                                  AppData entry)
                           throws Exception

### delete

    public void delete(AppData container,
                       String tableName,
                       AppData entry)
                throws Exception

### delete

    public void delete(AppData container,
                       String tableName,
                       String entryKey,
                       AppData entry)
                throws Exception

### createObj

    public DBRow createObj(ResultSet rs)
                    throws Exception

  Overrides:
    `createObj` in class `DBBase`

### create

    public DBAppTable.Row create(AppData container,
                                 String tableName,
                                 AppData entry)
                          throws Exception

### create

    public DBAppTable.Row create(AppData container,
                                 String tableName,
                                 String entryKey,
                                 AppData entry)
                          throws Exception

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Overrides:
    `backup` in class `DBBase`

### restore

    public void restore(String fileNamePrefix,
                        DataInputStream dis)
                 throws Exception

  Overrides:
    `restore` in class `DBBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD